package plant

import "github.com/gin-gonic/gin"

type BadgeConfigRouter struct{}

func (c *BadgeConfigRouter) InitBadgeConfigRouter(Router *gin.RouterGroup) {
	badgeConfigRouter := Router.Group("config/badge")
	{
		badgeConfigRouter.GET("/tree", badgeConfigApi.GetBadgeTree)
		badgeConfigRouter.POST("/add", badgeConfigApi.AddBadgeConfig)
		badgeConfigRouter.POST("/update", badgeConfigApi.UpdateBadgeConfig)
		badgeConfigRouter.GET("/find", badgeConfigApi.FindBadgeConfig)
		badgeConfigRouter.GET("/delete", badgeConfigApi.DeleteBadgeConfig)
	}

}
